Skip to main content
GET
/
deal
Buscar Deals
curl --request GET \
  --url https://mia-gateway.morada.ai/deal \
  --header 'x-morada-api-key: <api-key>'
[ { "deal": { "id": "deal-123", "status": "open", "createdAt": "2023-01-01T00:00:00.000Z", "updatedAt": "2023-01-01T00:00:00.000Z", "ownerId": "owner-123", "ownerName": "Jane Agent", "ownerEmail": "jane@company.com", "props": { "externalIntegrationId": "ext-123" } }, "person": { "id": "person-123", "name": "John Doe", "email": "john@example.com", "phoneNumber": "+1234567890" }, "property": { "id": "property-123", "name": "Downtown Apartment", "externalId": "prop-ext-123" }, "agent": { "id": 1234, "name": "Test agent", "number": "+55 11 1234-5678" } } ]

Authorizations

x-morada-api-key
string
header
required

Chave de API do parceiro. Fornecida pelo time da Morada.ai.

Query Parameters

leadPhoneNumber
string

Numero de telefone do lead (opcional)

leadEmail
string<email>

Email do lead (opcional; precisa ser valido)

dealId
string

ID interno do negocio na Morada (opcional)

dealExternalId
string

ID externo do negocio (opcional)

Response

Busca realizada com sucesso

deal
object
person
object
property
object
agent
object